with GNATCOM.Dispinterface;

package MSHTML.IHTMLWindow8_Interface is

   type IHTMLWindow8_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLWindow8_Type);

   function Pointer (This : IHTMLWindow8_Type)
     return Pointer_To_IHTMLWindow8;

   procedure Attach (This    : in out IHTMLWindow8_Type;
                     Pointer : in     Pointer_To_IHTMLWindow8);

   procedure Put_onmspointerdown
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerdown
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointermove
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointermove
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerup
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerup
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerover
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerover
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerout
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerout
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointercancel
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointercancel
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmspointerhover
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmspointerhover
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturestart
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturestart
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturechange
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturechange
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgestureend
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgestureend
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturehold
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturehold
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturetap
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturetap
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsgesturedoubletap
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsgesturedoubletap
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsinertiastart
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsinertiastart
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

   function Get_applicationCache
     (This : IHTMLWindow8_Type)
     return Pointer_To_IHTMLApplicationCache;

   procedure Put_onpopstate
     (This : IHTMLWindow8_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpopstate
     (This : IHTMLWindow8_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLWindow8_Interface;

